Subject: Re: Book Advice Sought

From: Laura McNamara <[email-masked]>
Date: 4 Mar 1996 16:16:18 GMT

I like "Park's Success with Seeds" which you can find in used books 
stores once in awhile.  It's pretty specific in its directions.

I need a comprehensive resource on growing flowers from seed, or on flower
propagation in general.  The Fragrant Path seed company recommends How to
Grow Flowers from Seeds, by Elvin McDonald.  Does anyone know of this or
any other good references? 

Thanks from,

Nancy
Zone 5  SE Iowa